MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002247ATutor- no cat -public2005-12-06 08:422008-08-21 08:59
Reporteruser2 
Assigned Togreg 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6 
Summary0002247: utf8
Descriptionmore info on utf8 and how php doesn't support it very well.

http://www.phpwact.org/php/i18n/utf-8 [^]

http://www.phpwact.org/php/i18n/charsets [^]

very few options till php 6.

How dokuwiki deals with it: (checks for mb first, then does it manually)
http://dev.splitbrain.org/view/darcs/dokuwiki/inc/utf8.php [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Fileszip file icon norwegian_course_27_Aug_07.zip [^] (2,064 bytes) 2007-09-05 07:16

- Relationships
related to 0002108closedgreg Multibyte string issues 

-  Notes
(0002176)
user2
2006-09-07 07:48

next major version of atutor should require mysql 4.1.16 to make the utf8 transition easier.
(0002266)
user2
2007-01-08 06:10

for mysql5 support need to run mysql_query('SET CHARACTER SET latin1', $db); for every connection.
(0002375)
user2
2007-03-16 09:21

discussion:
http://mysqldump.azundris.com/archives/60-Handling-character-sets.html [^]
(0002379)
user2
2007-03-19 07:10

move all php string truncation to mysql.
(0002383)
user2
2007-03-19 10:55
edited on: 2007-03-19 11:47

places where substring is used that would cause a problem with unicode:

inbox/send_message.php
themes/default/test_questions/matching_stats.tmpl.php
themes/default/test_questions/ordering_stats.tmpl.php
themes/default/test_questions/multichoice_stats.tmpl.php
tools/tests/questions.php
tools/glossary/index.php
include/header.inc.php
include/html/tests_questions.inc.php
include/html/forum.inc.php
include/html/dropdowns.glossary.inc.php
include/lib/search.inc.php
include/classes/ContentManager.class.php
forum/new_thread.php
admin/language_editor.php

glossary/index.php

a few strlen issues not related to above (also a problem when using on binary data):
registration.php
file_storage/edit.php
file_storage/new.php
admins/my_password.php
include/classes/zipfile.class.php

(0002385)
user2
2007-03-21 05:59

text (varchar) fields will have to be increased x4.
(0002477)
user2
2007-07-06 06:48

important note:

when converting the db fields to utf8 they must first be converted to binary and then to utf8, otherwise some text will turn into garbage.
(0002496)
user2
2007-07-13 10:28

get people using utf language packs in 1.5.5
then convert the tables to utf8 for 1.6 with full utf8 support and update php/mysql requirements.
(0002506)
user2
2007-07-26 09:48

i18n should be a part of this too? making use of php's locale settings.
(0002581)
greg (administrator)
2007-12-08 13:05

System converted over to UTF-8

- Issue History
Date Modified Username Field Change
2005-12-06 08:42 user2 New Issue
2005-12-06 10:11 user2 Relationship added related to 0002108
2006-09-07 07:48 user2 Note Added: 0002176
2007-01-08 06:10 user2 Note Added: 0002266
2007-01-08 06:10 user2 Affects version => SVN
2007-01-08 06:10 user2 Priority normal => high
2007-03-16 09:21 user2 Note Added: 0002375
2007-03-19 07:10 user2 Note Added: 0002379
2007-03-19 10:55 user2 Note Added: 0002383
2007-03-19 11:47 user2 Note Edited: 0002383
2007-03-20 06:31 user2 Description Updated
2007-03-21 05:59 user2 Note Added: 0002385
2007-07-06 06:48 user2 Note Added: 0002477
2007-07-13 10:28 user2 Note Added: 0002496
2007-07-26 09:48 user2 Note Added: 0002506
2007-09-05 07:16 greg File Added: norwegian_course_27_Aug_07.zip
2007-12-08 13:05 greg Status new => resolved
2007-12-08 13:05 greg Fixed in Version => 1.6
2007-12-08 13:05 greg Resolution open => fixed
2007-12-08 13:05 greg Assigned To => greg
2007-12-08 13:05 greg Note Added: 0002581
2008-08-21 08:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker